## org.codehaus.groovy.transform.powerassert
Class AssertionTransformation

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.AssertionTransformation

All Implemented Interfaces:
  ASTTransformation

    public class AssertionTransformation

extends Object
implements ASTTransformation

Entry point for the transformation of assertions. Since this is a global AST transformation, it must be listed in org.codehaus.groovy.transform.ASTTransformation.

Author:
  Peter Niederwieser

Constructor Summary
`AssertionTransformation()`

Method Summary
`void` `visit(ASTNode[] nodes, SourceUnit sourceUnit)` The call made when the compiler encounters an AST Transformation Annotation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssertionTransformation

    public AssertionTransformation()

Method Detail

### visit

    public void visit(ASTNode[] nodes,
                      SourceUnit sourceUnit)

  Description copied from interface: `ASTTransformation`
  The call made when the compiler encounters an AST Transformation Annotation

  Specified by:
    `visit` in interface `ASTTransformation`
  Parameters:
    `nodes` - The ASTnodes when the call was triggered
    `sourceUnit` - The source unit being compiled

Copyright © 2003-2009 The Codehaus. All rights reserved.